# Authorization

#### Description
When you wish to allow an end-user to authorize access to their conferencing services, you use this endpoint to generate a URL to redirect them to. This will ensure that the authorization is linked to the correct Cronofy Account.

#### URL format
```
{data_center_url}/v1/conferencing_service_authorizations
```

#### Example Request
```http
POST /v1/conferencing_service_authorizations HTTP/1.1
Host: {data_center_url}
Authorization: Bearer {ACCESS_TOKEN}
Content-Type: application/json; charset=utf-8

{
    "redirect_uri": "http://www.example.com/conferencing_settings"
}
```

#### Example Response
```http
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8

{
    "authorization_request": {
        "url": "https://app.cronofy.com/conferencing_services/xxxxx"
    }
}
```

The user should be redirected to the given URL by your application in order for them to authorize access to their conferencing service.

#### Request parameters
##### `data_center_url` *(required)*

The URL for the data center you want to communicate with. Possible choices are:

- `api-au.cronofy.com` - Australia
- `api-ca.cronofy.com` - Canada
- `api-de.cronofy.com` - Germany
- `api-sg.cronofy.com` - Singapore
- `api-uk.cronofy.com` - United Kingdom
- `api.cronofy.com` - United States

Find out more about [Cronofy's data centers](/developers/data-centers/index.md).
##### `redirect_uri` *(required)*

The `redirect_uri` is the page which the user will be directed to after they have granted or rejected authorization.

Upon successfull authorisation, a query string value of `last_linked_profile_id=pro_n23kjnwrw2` will be added to the URL before they are redirected to it.

Example:
`http://www.example.com/conferencing_settings?last_linked_profile_id=pro_n23kjnwrw2`

Note that if the user rejects the request a query string value of `error=access_denied` will be added to the URL before they are redirected to it.

Example:
`http://www.example.com/conferencing_settings?error=access_denied`

##### `provider_name` *(optional)*

A [`String`](/developers/api/data-types/index.md) value indicating a conferencing service provider to pre-select for the user.

Currently supported options are:

- `ms_teams`

- `go_to`

- `zoom`

- `google_meet_api` Google calendar users will only need to authorize Google Meet separately when connecting their calendar via [Free/Busy or No Calendar Access modes](developers/authorization/access-modes/index.md).



---
[Read in HTML](/developers/api/conferencing-services/authorization/)